export { Hub, SDK_VERSION, SEMANTIC_ATTRIBUTE_SENTRY_OP, SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN, SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE, SEMANTIC_ATTRIBUTE_SENTRY_SOURCE, Scope, addBreadcrumb, addEventProcessor, addIntegration, addTracingExtensions, captureConsoleIntegration, captureEvent, captureException, captureMessage, captureSession, close, continueTrace, createTransport, debugIntegration, dedupeIntegration, endSession, extraErrorDataIntegration, flush, functionToStringIntegration, getActiveSpan, getClient, getCurrentHub, getCurrentScope, getGlobalScope, getIsolationScope, getRootSpan, getSpanDescendants, getSpanStatusFromHttpCode, inboundFiltersIntegration, isInitialized, makeMultiplexedTransport, moduleMetadataIntegration, parameterize, rewriteFramesIntegration, sessionTimingIntegration, setContext, setCurrentClient, setExtra, setExtras, setHttpStatus, setMeasurement, setTag, setTags, setUser, spanToJSON, startInactiveSpan, startSession, startSpan, startSpanManual, withActiveSpan, withIsolationScope, withScope } from '@sentry/core';
export { metrics } from './metrics.js';
export { WINDOW } from './helpers.js';
export { BrowserClient } from './client.js';
export { makeFetchTransport } from './transports/fetch.js';
export { chromeStackLineParser, defaultStackLineParsers, defaultStackParser, geckoStackLineParser, opera10StackLineParser, opera11StackLineParser, winjsStackLineParser } from './stack-parsers.js';
export { eventFromException, eventFromMessage, exceptionFromError } from './eventbuilder.js';
export { createUserFeedbackEnvelope } from './userfeedback.js';
export { captureUserFeedback, forceLoad, getDefaultIntegrations, init, onLoad, showReportDialog } from './sdk.js';
export { breadcrumbsIntegration } from './integrations/breadcrumbs.js';
export { globalHandlersIntegration } from './integrations/globalhandlers.js';
export { httpContextIntegration } from './integrations/httpcontext.js';
export { linkedErrorsIntegration } from './integrations/linkederrors.js';
export { browserApiErrorsIntegration } from './integrations/browserapierrors.js';
export { reportingObserverIntegration } from './integrations/reportingobserver.js';
export { httpClientIntegration } from './integrations/httpclient.js';
export { contextLinesIntegration } from './integrations/contextlines.js';
export { getReplay, replayIntegration } from '@sentry-internal/replay';
export { replayCanvasIntegration } from '@sentry-internal/replay-canvas';
export { feedbackIntegration, getFeedback, sendFeedback } from '@sentry-internal/feedback';
export { browserTracingIntegration, defaultRequestInstrumentationOptions, instrumentOutgoingRequests, startBrowserTracingNavigationSpan, startBrowserTracingPageLoadSpan } from '@sentry-internal/browser-utils';
export { makeBrowserOfflineTransport } from './transports/offline.js';
export { browserProfilingIntegration } from './profiling/integration.js';
//# sourceMappingURL=index.js.map
